
Application: gvSIG desktop - gvSIG bugs #4247
The exe installer doesn't work
06/28/2016 04:19 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Installer
Target version: 2.4.0-2819 (rev. org.gvsig.desktop-2.0.185) 
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2433 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The exe installer of build 2432 and 2433 doesn't work: it shows only a progress bar that reaches the 100% and then returns the error
in attachment.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4307: Busybox Closed 08/05/2016
Related to Application: gvSIG desktop - gvSIG bugs # 4452: Falla la instalaci... Closed 06/01/2017

History
#1 - 07/02/2016 08:23 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2435 (rev. org.gvsig.desktop-2.0.141)
- Status changed from New to Won't fix

No podemos reproducir este error.
Tiene pinta de que este corrupto el binario.

#2 - 07/03/2016 01:19 PM - Antonio Falciano

Same identical issue in build 2434 (x86_64).

#3 - 07/08/2016 10:06 AM - Antonio Falciano
- Target version changed from 2.3.0-2435 (rev. org.gvsig.desktop-2.0.141) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Won't fix to New

Same identical issue with build 2436 (x86_64). I don't believe that all the installers are corrupt.

#4 - 07/25/2016 12:31 PM - Álvaro Anguix
- Status changed from New to Outdated

#5 - 07/25/2016 12:48 PM - Antonio Falciano
- Status changed from Outdated to New

05/17/2024 1/4



Same error with builds 2437 and 2438 (x86_64) on my Windows 7 Home edition 64 bits.

#6 - 08/27/2016 10:47 AM - Álvaro Anguix

I've tested in Win7, win8 and win 10 and it doesn't happen.

#7 - 08/27/2016 12:49 PM - Antonio Falciano

Tested the RC3 exe installer and it doesn't work too.

#8 - 08/27/2016 12:55 PM - Antonio Falciano

busybox md5sum gvSIG-desktop-2.3.0-2443-RC3-win-x86_64-standard.exe
53c54ad3afc6d62855ab9ea5f14ace3c  gvSIG-desktop-2.3.0-2443-RC3-win-x86_64-standard.exe

#9 - 08/28/2016 04:48 PM - Álvaro Anguix
- Related to gvSIG bugs #4307: Busybox added

#10 - 08/31/2016 11:07 AM - Antonio Falciano

Tested the RC3 exe installer and it doesn't work too on my machine.
This is the checksum:

busybox md5sum gvSIG-desktop-2.3.0-2444-RC4-win-x86_64-standard.exe
e1bbaa5393575f3fd5440b9f50113bc9  gvSIG-desktop-2.3.0-2444-RC4-win-x86_64-standard.exe

#11 - 09/15/2016 01:09 PM - Joaquín  del Cerro Murciano

Hola Antonio,
no se que puede estar pasando para que no te vaya el instalador (.exe) para windows.
Lo hemos probado en varias instalaciones de Windows y no logramos reproducir el error. Lo estabamos probando sobre todo en Windows 7, pero la
semana pasada lo probamos en mas de 40 maquinas con windows 10 (la RC4) y no nos ha dado ese problema.

El instalador esta hecho con:

    -  autoextraible del 7z, 
    -  mas Izpack
    -  mas administrador de complementos de gvSIG.

Al ejecutar el exe debria:

    -  aparecer una ventana del 7z  mientras descomprime los datos
    -  Aparecer una ventana para seleccion de idioma del IzPack
    -  Aparecer la ventana principal del IzPack
    -  En un momento dado se lanza el administrador de complementos de gvSIG.

¿ En que momento se produce el error ?

Te cuento como esta hecho el instalador por si acaso se te ocurre alguna idea.
Para generar el autoautoextraible con el 7z usamos "7zsd_LZMA_Dialogs-win-x86_64.sfx"[1][4].

Lo que hacemos es:

    -  descargamos el plugin de gvSIG que lleva la jre, "gvSIG-desktop-2.3.0-jre-1.8.0-65-testing-win-x86_64-j1_8.gvspkg" [2]

    -  descargamos el fichero con el jar de instalacion creado con el IzPack, "gvSIG-desktop-2.3.0-2444-RC4-win-x86_64-standard.jar" [3]

    -  En una carpeta descomprimimos el jre [2] y dejamos el jar [3].

    -  comprimimos la carpeta con el 7z y la dejamos, por ejemplo en "data-win-x86_64.7z".

    -  Con el fichero ".7z" y el ".sfx" creamos el exe con algo como:
  {
    cat "${WORKINGFOLDER}/7zsd_LZMA_Dialogs-win-x86_64.sfx" 
    echo ";!@Install@!UTF-8!
RunProgram=\".\\jre\\bin\\javaw.exe -jar .\\gvSIG-desktop-2.3.0-2444-RC4-win-x86_64-standard.jar\" 
GUIMode=\"1\" 
ExtractTitle=\"gvSIG Desktop installation.\" 
Title=\"gvSIG Desktop installation.\" 
GUIFlags=\"6\" 
;!@InstallEnd@!" 
    cat "${WORKINGFOLDER}/data-win-x86_64.7z" 
  } > "gvSIG-desktop-2.3.0-2444-RC4-win-x86_64-standard.exe" 
  

Se supone que con esto se genera un exe que al descomprimirse ejecuta el instalador del IzPack con la jre que llevaba dentro.

Si puedes darnos mas pistas de cuando se produce el fallo o se te ocurre que puede ser intentaremos mirarlo.

[1] http://downloads.gvsig.org/download/gvsig-desktop/runtimes/selfextract/win-x86_64/7zsd_LZMA_Dialogs-win-x86_64.sfx
[2] http://downloads.gvsig.org/download/gvsig-desktop-testing/pool/jre/gvSIG-desktop-2.3.0-jre-1.8.0-65-testing-win-x86_64-j1_8.gvspkg
[3] http://downloads.gvsig.org/download/gvsig-desktop-testing/dists/2.3.0/builds/2444/gvSIG-desktop-2.3.0-2444-RC4-win-x86_64-standard.jar
[4] http://www.7zsfx.info/en/

#12 - 09/15/2016 05:43 PM - Antonio Falciano

Joaquín del Cerro Murciano wrote:

Al ejecutar el exe debria:
    -  aparecer una ventana del 7z  mientras descomprime los datos
    -  Aparecer una ventana para seleccion de idioma del IzPack
    -  Aparecer la ventana principal del IzPack
    -  En un momento dado se lanza el administrador de complementos de gvSIG.

¿ En que momento se produce el error ?
Hi Joaquín,
the error happens when the first point is completed, i.e. when the data decompression reaches the 100%. Then the window in attachment appears.
I've just tested the RC4 exe (with or without elevated permissions, with or without 7-Zip 16.02 64-bit installed) and it returns always the same error.

#13 - 09/21/2016 11:48 AM - Álvaro Anguix

Antonio: we ha tried to replicate the bug in a big number of computers with Windows. For example, in the last Mexican gvSIG Conference, we made a
lot of workshops with near of a one hundred of computer...and it worked fine in all the computers.
Apparently you're the only user with this problem...and if very difficult to know what it's happen.

#14 - 09/21/2016 11:48 AM - Álvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#15 - 09/21/2016 12:16 PM - Antonio Falciano

No problem, Alvaro. I can use the jar installer or the portable distribution in the meanwhile.
Unfortunately it's not very simple to reproduce the problem on other machines. It may depend by some specific environmental variables on my
machine. Thank you for your attention.

#16 - 11/05/2016 05:48 PM - Antonio Falciano
- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

Other users report the same issue. For instance:
http://osgeo-org.1560.x6.nabble.com/Instalacion-gvsig-2-3-1-td5293041.html

#17 - 11/05/2016 05:52 PM - Antonio Falciano

Here's another:
http://osgeo-org.1560.x6.nabble.com/Problema-instalacion-de-gvsig-2-3-1-td5292917.html

#18 - 06/05/2017 09:56 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4452: Falla la instalación del build 2818 sobre Windows 7 64bits  added

#19 - 06/05/2017 09:54 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2819 (rev. org.gvsig.desktop-2.0.185) 
- Status changed from New to Fixed

#20 - 06/11/2017 09:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
